Midjourney 任务查询
查询单个 Midjourney 任务进度、结果 URL 与按钮列表。
http
GET /mj/task/{id}/fetch请求头
| 名称 | 类型 | 必填 | 说明 |
|---|---|---|---|
| string | 是 | Bearer Token,示例: |
路径参数
| 名称 | 类型 | 必填 | 说明 |
|---|---|---|---|
| string | 是 | 任务 ID,与提交接口 一致 |
响应字段
| 名称 | 类型 | 说明 |
|---|---|---|
| string | 任务 ID | |
| string | 如 、、、、、、、、 | |
| string | 提示词 | |
| string | 英文提示词 | |
| string | 任务描述 | |
| integer | 提交时间 | |
| integer | 开始执行时间 | |
| integer | 结束时间 | |
| string | 图片 URL | |
| string | / / / / / / | |
| string | 进度,如 | |
| string | 失败原因 | |
| array | null | 按钮列表;触发时把 传给 Action | |
| string | 动作标识 | |
| string | 图标 | |
| string | 自定义透传 | |
| string | 视频 URL(字段名大写开头) | |
| integer | 图片宽度 | |
| integer | 图片高度 | |
| array | 图片 URL 列表 |
请求示例
bash
curl https://octopusx.ai/mj/task/1712158011464906/fetch \
-H "Authorization: Bearer YOUR_API_KEY"响应示例
json
{
"id": "1712158011464906",
"action": "IMAGINE",
"prompt": "Cat",
"promptEn": "Cat",
"description": "Submit success",
"submitTime": 1735689600000,
"startTime": 1735689610000,
"finishTime": 0,
"imageUrl": "",
"status": "IN_PROGRESS",
"progress": "65%",
"failReason": "",
"buttons": null,
"state": "",
"VideoUrl": "",
"imageWidth": 0,
"imageHeight": 0,
"imageUrls": []
}json
{
"id": "1712158011464906",
"action": "IMAGINE",
"prompt": "Cat",
"promptEn": "Cat",
"description": "Finished",
"submitTime": 1735689600000,
"startTime": 1735689610000,
"finishTime": 1735689700000,
"imageUrl": "https://example.com/mj/result.png",
"status": "SUCCESS",
"progress": "100%",
"failReason": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
"emoji": "U2",
"type": 2,
"style": 2
}
],
"state": "",
"VideoUrl": "",
"imageWidth": 2048,
"imageHeight": 2048,
"imageUrls": ["https://example.com/mj/result.png"]
}